CUNY Academic Commons - Support #1173

Avatars for group blogs should fall back on group avatar, not admin user's
2011-09-14 10:15 PM - scott voth

Status: Resolved Start date: 2011-09-14
Priority name: Normal Due date:

Assignee: Raymond Hoh % Done: 0%
Category name: Group Blogs Estimated time: 0.00 hour
Target version: 1.17.0

Description

Don't know if this is a bug, or a feature request, or just me being dense.

| noticed that a lot of group blogs don't have avatars when displayed on the "Blogs" tab. Then | noticed one of mine (QCGSLIS)
doesn't have one either, and | tried to change, but could not find a way. | share admin privileges with one other member. But other
blogs that | share rights with post my avatar on this tab (I don't think this is quite right).

Should there be a specific avatar for a group blog, regardless of its admin(s)?

Related issues:
Related to CUNY Academic Commons - Feature #342: Blog Listing Displays User A... Resolved 2010-09-17

History

#1 - 2011-09-14 10:26 PM - Matt Gold
- Status changed from New to Assigned
- Assignee set to Boone Gorges

- Target version set to 1.3

This seems related to this issue -- http:/redmine.gc.cuny.edu/issues/342 -- but you're right that when blogs are associated with groups, it's a special
case and it might be easier simply to assign the group's avatar to the blog.

#2 - 2011-09-14 10:36 PM - Boone Gorges

- Target version changed from 1.3 to Future release

This will likely have to be fixed at the same time as #342.

#3 - 2015-11-09 05:44 PM - Boone Gorges
- Subject changed from Avatars for Groups to Avatars for group blogs should fall back on group avatar, not admin user's

- Category name changed from BuddyPress (misc) to Group Blogs

#4 - 2015-11-12 12:59 AM - Matt Gold

Boone, has there been any movement on this via BP in the years since this ticket was created?

#5 - 2015-11-12 12:22 PM - Boone Gorges

This particular ticket is related to blogs that are linked to groups, and BuddyPress itself doesn't have any support for group-blog links. It's all handled
by bp-groupblog. (As a side note, | think that much of what bp-groupblog does should be rolled into BuddyPress. But it's a large project that | haven't
found time to pursue.)

Blog-specific avatars are a longtime feature request in BuddyPress https://buddypress.trac.wordpress.org/ticket/192
https://redmine.gc.cuny.edu/issues/342 Progress is being made to implement blog-specific avatars in BuddyPress, but it's not yet finished.

#6 - 2019-12-06 11:12 AM - Boone Gorges
- Assignee changed from Boone Gorges to Raymond Hoh

- Target version changed from Future release to 1.17.0

This seems like a fairly easy win. Ray, you want to have a shot at it? | can envision this being a part of bp-groupblog. When determining the
groupblog's avatar, the order of preference would be: 1. site icon, 2. group icon, 3. site admin icon.
#7 - 2020-03-30 07:57 PM - Raymond Hoh

This was relatively easy to accomplish - https://github.com/cuny-academic-commons/cac/commit/47b4f293952e631d7c715d20a53e10e867{6df11

| think we can pull this back into 1.16.x if we really wanted to since this functionality is quite minor.

I've also added a pull request to the main “bp-groupblog” repo.

#8 - 2020-07-14 01:05 PM - Boone Gorges

- Status changed from Assigned to Resolved
